SUBDIRS = toolbar bitmaps

INCLUDES = -I$(top_srcdir)/libtdegames $(all_includes)
METASOURCES = AUTO
KDE_ICON = kenolaba

bin_PROGRAMS = kenolaba
kenolaba_SOURCES = Board.cpp Move.cpp BoardWidget.cpp AbTop.cpp \
		 kenolaba.cpp Spy.cpp Ball.cpp Network.cpp EvalDlg.ui \
         EvalDlgImpl.cpp EvalScheme.cpp
kenolaba_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kenolaba_LDADD = $(LIB_TDEGAMES)
kenolaba_DEPENDENCIES = $(LIB_TDEGAMES_DEP)

xdg_apps_DATA = kenolaba.desktop

rcdir = $(kde_datadir)/kenolaba
rc_DATA = kenolabaui.rc

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kenolaba.pot
